Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Class XSConstraints

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSConstraints

Deprecated. please use JDK supplied XML parsers and transformers

public class XSConstraints
extends Object

Constaints shared by traversers and validator

Constructor Summary
`XSConstraints()` Deprecated.

Method Summary
`static boolean` | `checkComplexDerivationOk(XSComplexTypeDecl derived, XSTypeDecl base, short block)` Deprecated. check whether complex type derived is valid derived from base, given a subset of {restriction, extension}.
`static void` | `checkElementDeclsConsistent(XSComplexTypeDecl type, XSParticleDecl particle, SymbolHash elemDeclHash, SubstitutionGroupHandler sgHandler)` Deprecated.
`static boolean` | `checkSimpleDerivationOk(XSSimpleType derived, XSTypeDecl base, short block)` Deprecated. check whether simple type derived is valid derived from base, given a subset of {restriction, extension}.
`static boolean` | `checkTypeDerivationOk(XSTypeDecl derived, XSTypeDecl base, short block)` Deprecated. check whether derived is valid derived from base, given a subset of {restriction, extension}.
`static Object` | `ElementDefaultValidImmediate(XSTypeDecl type, Object value, ValidationContext context, ValidatedInfo vinfo)` Deprecated. check whether a value is a valid default for some type returns the compiled form of the value The parameter value could be either a String or a ValidatedInfo object
`static void` | `findElemInTable(XSComplexTypeDecl type, XSElementDecl elem, SymbolHash elemDeclHash)` Deprecated.
`static void` | `fullSchemaChecking(XSGrammarBucket grammarBucket, SubstitutionGroupHandler SGHandler, weblogic.apache.xerces.impl.xs.models.CMBuilder cmBuilder, XMLErrorReporter errorReporter)` Deprecated. used to check the 3 constraints against each complex type (should be each model group): Unique Particle Attribution, Particle Derivation (Restriction), Element Declrations Consistent.
`static boolean` | `overlapUPA(Object decl1, Object decl2, SubstitutionGroupHandler sgHandler)` Deprecated.
`static boolean` | `overlapUPA(XSElementDecl element1, XSElementDecl element2, SubstitutionGroupHandler sgHandler)` Deprecated.
`static boolean` | `overlapUPA(XSElementDecl element, XSWildcardDecl wildcard, SubstitutionGroupHandler sgHandler)` Deprecated.
`static boolean` | `overlapUPA(XSWildcardDecl wildcard1, XSWildcardDecl wildcard2)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSConstraints

    public XSConstraints()

  Deprecated.

Method Detail

### checkComplexDerivationOk

    public static boolean checkComplexDerivationOk(XSComplexTypeDecl derived,
                                                   XSTypeDecl base,
                                                   short block)

  Deprecated.
  check whether complex type derived is valid derived from base, given a subset of {restriction, extension}.

### checkElementDeclsConsistent

    public static void checkElementDeclsConsistent(XSComplexTypeDecl type,
                                                   XSParticleDecl particle,
                                                   SymbolHash elemDeclHash,
                                                   SubstitutionGroupHandler sgHandler)
                                            throws XMLSchemaException

  Deprecated.
  Throws:
    `XMLSchemaException`

### checkSimpleDerivationOk

    public static boolean checkSimpleDerivationOk(XSSimpleType derived,
                                                  XSTypeDecl base,
                                                  short block)

  Deprecated.
  check whether simple type derived is valid derived from base, given a subset of {restriction, extension}.

### checkTypeDerivationOk

    public static boolean checkTypeDerivationOk(XSTypeDecl derived,
                                                XSTypeDecl base,
                                                short block)

  Deprecated.
  check whether derived is valid derived from base, given a subset of {restriction, extension}.

### ElementDefaultValidImmediate

    public static Object ElementDefaultValidImmediate(XSTypeDecl type,
                                                      Object value,
                                                      ValidationContext context,
                                                      ValidatedInfo vinfo)

  Deprecated.
  check whether a value is a valid default for some type returns the compiled form of the value The parameter value could be either a String or a ValidatedInfo object

### findElemInTable

    public static void findElemInTable(XSComplexTypeDecl type,
                                       XSElementDecl elem,
                                       SymbolHash elemDeclHash)
                                throws XMLSchemaException

  Deprecated.
  Throws:
    `XMLSchemaException`

### fullSchemaChecking

    public static void fullSchemaChecking(XSGrammarBucket grammarBucket,
                                          SubstitutionGroupHandler SGHandler,
                                          weblogic.apache.xerces.impl.xs.models.CMBuilder cmBuilder,
                                          XMLErrorReporter errorReporter)

  Deprecated.
  used to check the 3 constraints against each complex type (should be each model group): Unique Particle Attribution, Particle Derivation (Restriction), Element Declrations Consistent.

### overlapUPA

    public static boolean overlapUPA(Object decl1,
                                     Object decl2,
                                     SubstitutionGroupHandler sgHandler)

  Deprecated.

### overlapUPA

    public static boolean overlapUPA(XSElementDecl element1,
                                     XSElementDecl element2,
                                     SubstitutionGroupHandler sgHandler)

  Deprecated.

### overlapUPA

    public static boolean overlapUPA(XSElementDecl element,
                                     XSWildcardDecl wildcard,
                                     SubstitutionGroupHandler sgHandler)

  Deprecated.

### overlapUPA

    public static boolean overlapUPA(XSWildcardDecl wildcard1,
                                     XSWildcardDecl wildcard2)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD